/**
 * @license
 * Copyright 2019 Ludan Stoecklé
 * SPDX-License-Identifier: Apache-2.0
 */
declare type WordData = any;
interface WordsData {
    [key: string]: WordData;
}
declare type AdjectiveData = any;
interface AdjectivesData {
    [key: string]: AdjectiveData;
}
export interface AdjsWordsData {
    [key: string]: AdjectiveData | WordData;
}
export declare class DictManager {
    private wordsData;
    private adjsData;
    private validPropsWord;
    private validPropsAdj;
    private iso2;
    constructor(iso2: string, validPropsWord: string[], validPropsAdj: string[]);
    setEmbeddedWords(embeddedWords: WordsData): void;
    setEmbeddedAdj(embeddedAdjs: AdjectivesData): void;
    getWordData(): WordsData;
    getAdjsData(): WordsData;
    getAdjsWordsData(): AdjsWordsData;
    isValidPropWord(prop: string): boolean;
    isValidPropAdj(prop: string): boolean;
    private checkProp;
    setAdjData(adj: string, adjData: AdjectiveData): void;
    setWordData(word: string, wordData: WordData): void;
}
export {};
